Bug Hunting Session
Bug 126626 - CRASH: pasting fly at-char selection
Summary: CRASH: pasting fly at-char selection
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.4.0 target:6.3.1
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2019-07-30 15:01 UTC by Xisco Faulí
Modified: 2019-08-12 08:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-07-30 15:01:39 UTC
Steps to reproduce:
1. Open attachment 145036 [details] from bug 119990
2. Select all
3. Copy
4. Paste TWO TIMES
5. Undo once
6. Paste

-> Crash

Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 850693273970be2662cce8f4d2710b3657a02f65
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-07-30 15:03:52 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=28b77c89dfcafae82cf2a6d85731b643ff9290e5

author	Michael Stahl <Michael.Stahl@cib.de>	2019-07-11 18:37:28 +0200
committer	Michael Stahl <Michael.Stahl@cib.de>	2019-07-22 08:32:07 +0200
commit	28b77c89dfcafae82cf2a6d85731b643ff9290e5 (patch)
tree	4d26e493cebd1d83025094a3a97b9e878bc2b930
parent	22f2ecbcabf3928d5486690ca6465b7b37bc8a10 (diff)
tdf#117185 tdf#110442 sw: bring harmony & peace to fly at-char selection

Bisected with: Michael Stahl

Adding Cc: to Michael Stahl
Comment 2 Commit Notification 2019-08-09 15:02:53 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/844f9fa6ba7108b12758202c5fd08daa2a707641%5E%21

tdf#126626 sw: fix duplicate SwUndoInsLayFormat in single-node Copy

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Stahl (CIB) 2019-08-09 15:20:58 UTC
fixed on master
Comment 4 Xisco Faulí 2019-08-12 08:17:47 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 2812610f4f39ed5892da08864893c758325d1d39
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!
Comment 5 Commit Notification 2019-08-12 08:21:46 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/13152ad88b24cadc836a829b4424a72a152ca9b1%5E%21

tdf#126626 sw: fix duplicate SwUndoInsLayFormat in single-node Copy

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.